Get single AI-SPM agent
curl --request GET \
--url https://{instance}.flintai.dev/api/v1/aispm-agents/tenants/{tenant_id}/workspaces/{workspace_id}/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://{instance}.flintai.dev/api/v1/aispm-agents/tenants/{tenant_id}/workspaces/{workspace_id}/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{instance}.flintai.dev/api/v1/aispm-agents/tenants/{tenant_id}/workspaces/{workspace_id}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "<string>",
"header": [
"<string>"
],
"rows": [
[
"<unknown>"
]
],
"burn_rate": {
"daily_spend_rate": 123,
"status": "<string>"
},
"cost_history": {
"current_month": 123,
"current_quarter": 123,
"monthly": [
{
"cost": 123,
"period": "<string>"
}
],
"ytd": 123
},
"cost_per_session_history": [
{
"cost_per_session": 123,
"period": "<string>"
}
],
"input_guardrails": {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"total": 123
},
"locations": {
"items": [
{
"codeLocation": {},
"id": "<string>"
}
],
"total": 123
},
"mcp_servers": {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"total": 123
},
"models": {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"total": 123
},
"output_guardrails": {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"total": 123
},
"sub_agents": {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"total": 123
},
"tools": {
"items": [
{
"id": "<string>",
"name": "<string>"
}
],
"total": 123
},
"total": 123,
"total_sampling": 123
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}aispm-agents
Get single AI-SPM agent
Get AI-SPM agent by ID with embedded models, MCP servers, tools, sub-agents, guardrails, and locations
GET
/
aispm-agents
/
tenants
/
{tenant_id}
/
workspaces
/
{workspace_id}
/
{id}
Get single AI-SPM agent
Authorizations
Use this header with a Bearer token to authenticate requests.
Path Parameters
Tenant ID
Workspace ID
AISPM agent Id
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I